#import tkinter über Tools/Manage plug-ins... -> thonny cimage Datei installieren
from tkinter import *
from PIL import ImageTk, Image

#Hier beginnt das Hauptprogramm mit der Benutzeroberfläche
fenster = Tk()
fenster.title("Willkommen in der Python Welt!")

#Setting it up: Laden von Grafiken
launcher = ImageTk.PhotoImage(Image.open("ic_launcher.png"))
logo = ImageTk.PhotoImage(Image.open("logo_final.png"))

#Displaying it: Anzeigen und Platzierung von Grafiken
launcherlabel = Label(fenster, image=launcher).grid(row=0, column=0)
logolabel = Label(fenster, image=logo).grid(row=10, column=2, sticky=(E))

#In diesen Funktionen/Methoden werden die Verhaltensweisen der Benutzeroberfläche realisiert/definiert
def anzeigen():
    name = tf_name.get()
    vorname = tf_vorname.get()
    ergebnis = "Herzlich Willkommen "+ vorname + " " + name + "!"
    lb_ergebnis_ausgabe.config(text=ergebnis)
    
def leeren():
    #Überschreibt den Inhalt mit Nichts!
    tf_name.delete("",END)
    tf_vorname.delete("",END)
    lb_ergebnis_ausgabe.config(text="")
    
def schliessen():
    #Stoppt den Main-Loop und schießt somit Fenster ordentlich
    fenster.destroy()
    
    
#### GUI/Benutzeroberfläche: Formular Gridlayout####
# Zeile 2
lb_name = Label(fenster, text="Name:")
lb_name.grid(row = 2, column = 1, sticky=(W))
tf_name = Entry(fenster)
tf_name.grid(row = 2, column = 2, sticky=(W))
# Zeile 3
lb_vorname = Label(fenster, text="Vorname:")
lb_vorname.grid(row = 3, column = 1, sticky=(W))
tf_vorname = Entry(fenster)
tf_vorname.grid(row = 3, column = 2, sticky=(W))
# Zeile 4
lb_ergebnis = Label(fenster, text="Ergebnis:")
lb_ergebnis.grid(row = 4, column = 1, sticky=(W))
lb_ergebnis_ausgabe = Label(fenster, fg="blue", bg="white", relief = SUNKEN,
                           width = 40)
lb_ergebnis_ausgabe.grid(row = 4, column = 2, sticky=(W))
# Zeile 5
lb_blank1 = Label(fenster, text="")
lb_blank1.grid(row = 5, column = 1)
lb_blank2 = Label(fenster, text="")
lb_blank2.grid(row = 9, column = 1)
lb_blank2 = Label(fenster, text="")
lb_blank2.grid(row = 1, column = 3)

# Schaltflächen -> führen die Funktionen/Methoden auf Klick aus
bt_anzeigen = Button(fenster, text="Anzeigen",
                      command=anzeigen)
bt_anzeigen.grid(row = 7, column = 1, sticky=(W))
bt_anzeigen.config(height = 2, width = 20)

# Leeren der Felder
bt_leeren = Button(fenster, text="leeren",
                      command=leeren)
bt_leeren.grid(row = 7, column = 2, sticky=(W))
bt_leeren.config(height = 2, width = 20)

# Schliessen des Fensters
bt_schliessen = Button(fenster, text="schliessen",
                      command=schliessen)
bt_schliessen.grid(row = 8, column = 2, sticky=(W))
bt_schliessen.config(height = 2, width = 20)

